Page MenuHomePhabricator

Fix edit permissions of VisualEditor Phabricator projects
Closed, ResolvedPublic0 Story Points

Description

The Edit Policies of most VE projects in Phabricator are against the recommended guidelines.

Please either explain why you think the current restrictions are required or fix the following projects:

https://phabricator.wikimedia.org/project/details/480 - VisualEditor-ContentEditable
https://phabricator.wikimedia.org/project/details/483 - VisualEditor
https://phabricator.wikimedia.org/project/details/484 - VisualEditor-MediaWiki
https://phabricator.wikimedia.org/project/details/486 - VisualEditor-EditingTools
https://phabricator.wikimedia.org/project/details/499 - VisualEditor-ContentLanguage
https://phabricator.wikimedia.org/project/details/503 - VisualEditor-DataModel
https://phabricator.wikimedia.org/project/details/515 - VisualEditor-MediaWiki-Mobile
https://phabricator.wikimedia.org/project/details/612 - VisualEditor-Initialisation
https://phabricator.wikimedia.org/project/details/826 - VisualEditor-Tables
https://phabricator.wikimedia.org/project/details/827 - VisualEditor-MediaWiki-References
https://phabricator.wikimedia.org/project/details/828 - VisualEditor-MediaWiki-Media
https://phabricator.wikimedia.org/project/details/829 - VisualEditor-MediaWiki-Templates
https://phabricator.wikimedia.org/project/details/830 - VisualEditor-MediaWiki-Links
https://phabricator.wikimedia.org/project/details/831 - VisualEditor-Performance
https://phabricator.wikimedia.org/project/details/898 - VisualEditor-CopyPaste
https://phabricator.wikimedia.org/project/details/1019 - VisualEditor-MediaWiki-Plugins
https://phabricator.wikimedia.org/project/details/1020 - VisualEditor-Links
https://phabricator.wikimedia.org/project/details/1021 - VisualEditor-Media
https://phabricator.wikimedia.org/project/profile/70/ - Contributors-Team

Event Timeline

Aklapper created this task.Nov 25 2015, 1:16 PM
Aklapper updated the task description. (Show Details)
Aklapper raised the priority of this task from to Low.
Restricted Application added a subscriber: scfc. · View Herald TranscriptNov 25 2015, 1:16 PM
Aklapper updated the task description. (Show Details)Nov 25 2015, 1:27 PM
Aklapper set Security to None.

These are set up as discussed with you when they were created. What's changed?

The edit policies are not set to "All Users" but to "VisualEditor (Project)" which does not make much sense as it's just one additional click to join the project and to edit the project afterwards. By default projects should be set to "All Users".
If there really was a good reason at that time then I neither remember the reason nor the discussion...

@Jdforrester-WMF: Does my last comment make sense?

Restricted Application added a subscriber: Luke081515. · View Herald TranscriptJan 12 2016, 7:04 PM

@Jdforrester-WMF: Given T119622#1847450 I'll correct this in the next days if there are no objections.

Aklapper closed this task as Resolved.Apr 9 2016, 8:18 AM
Aklapper claimed this task.

No feedback, hence I went ahead.

Luke081515 reopened this task as Open.Apr 10 2016, 11:46 AM

@Aklapper VisualEditor has still the old permissions.

Aklapper closed this task as Resolved.Apr 25 2016, 3:17 PM

Ah, thanks. Corrected.

Restricted Application added a subscriber: TerraCodes. · View Herald TranscriptApr 25 2016, 3:17 PM
Jdforrester-WMF reopened this task as Open.May 10 2016, 1:19 AM
Jdforrester-WMF raised the priority of this task from Low to High.

Argh. You removed the restriction on who could move things around on the VisualEditor workboard which we had there for a reason… (as had been agreed when the super-project was created). Can you please undo, given that the ability to set this has been taken away?

Jdforrester-WMF set the point value for this task to 0.May 10 2016, 1:19 AM
Krenair added a comment.EditedMay 10 2016, 1:51 AM

I think that restriction had already been removed by a Phabricator update actually. I don't think that edit policy should ever have been allowed for use on such projects anyway. Where was the agreement about this?

Where was the agreement about this?

In the Bugzilla -> Phabricator migration discussions.

Argh. You removed the restriction on who could move things around on the VisualEditor workboard which we had there for a reason…

I am afraid such a technical restriction never existed in our instance, and when it existed in upstream it was a task policy and not a project policy. See https://phabricator.wikimedia.org/T1178 and https://secure.phabricator.com/T6502

(as had been agreed when the super-project was created).

I cannot find any sources for that statement (does neither seem to be https://phabricator.wikimedia.org/T75907 nor https://phabricator.wikimedia.org/T76954 ).
The Edit Policy of VisualEditor only got restricted in July 2015, long after Bugzilla migration in Nov 2014. The umbrella project VisualEditor got created in Nov 2014 by renaming Bugzilla product 'VisualEditor' and Bugzilla component 'General'.

Proposing to close this task again.

Argh. You removed the restriction on who could move things around on the VisualEditor workboard which we had there for a reason…

I am afraid such a technical restriction never existed in our instance, and when it existed in upstream it was a task policy and not a project policy. See https://phabricator.wikimedia.org/T1178 and https://secure.phabricator.com/T6502

Sorry, being unclear; "move things around" as in "make new columns and move them around".

(as had been agreed when the super-project was created).

I cannot find any sources for that statement (does neither seem to be https://phabricator.wikimedia.org/T75907 nor https://phabricator.wikimedia.org/T76954 ).
The Edit Policy of VisualEditor only got restricted in July 2015, long after Bugzilla migration in Nov 2014. The umbrella project VisualEditor got created in Nov 2014 by renaming Bugzilla product 'VisualEditor' and Bugzilla component 'General'.

It was part of the promise to the community in the public triage system we adopted in January 2015 that we'd only make changes to the priorities of the project through that process and not haphazardly.

Sorry, being unclear; "move things around" as in "make new columns and move them around".

Ah, correct: "Editable By" project policy membership is required to add/hide/reorder columns on the project workboard.
Has any such 'vandalism' (changing workboard columns but not dragging tasks) happened which makes you want to have this restriction in place?

It was part of the promise to the community in the public triage system we adopted in January 2015 that we'd only make changes to the priorities of the project through that process and not haphazardly.

Project Policies apply to a project (and its page) itself, not to the tasks assigned to a project and there have been no changes since we started using Phabricator. Hence the tasks' Priority field seems unrelated in this context.

Any reply to my question? :)

Malyacko lowered the priority of this task from High to Normal.May 24 2016, 10:40 AM
Aklapper lowered the priority of this task from Normal to Low.May 24 2016, 10:40 AM
Aklapper closed this task as Resolved.May 30 2016, 8:18 AM

No reply within three weeks to my question, hence closing again. :(